## jbossas4 4.2.3.GA

=== debian/changelog ===
jbossas4 (4.2.3.GA-4) unstable; urgency=low

  * Team upload. 
  * Upload to unstable. (Closes: #592236).
  * Bump Standards-Version to 3.9.1. No changes were needed.

 -- Miguel Landaeta <miguel@miguel.cc>  Sun, 08 Aug 2010 11:52:03 -0430

jbossas4 (4.2.3.GA-3) experimental; urgency=low

  * Team upload.
  * Fix FTBFS with Hibernate 3.5.x. (Closes: #589599).
  * Bump Standards-Version to 3.9.0. No changes were needed.

 -- Miguel Landaeta <miguel@miguel.cc>  Sun, 18 Jul 2010 20:47:00 -0430

jbossas4 (4.2.3.GA-2) unstable; urgency=low

  * Switch back to jgroups 2.6. (Closes: #577878)
  * Switch to source format 3.0.
  * Update Standards-Version: 3.8.4.
  * Change Section: java.
  * Improve short description for libjboss-j2ee-java a bit. (Closes:
    #493434)

 -- Torsten Werner <twerner@debian.org>  Thu, 15 Apr 2010 18:01:56 +0200

jbossas4 (4.2.3.GA-1) unstable; urgency=low

  * new upstream release
  * Refresh patches.
  * Switch to openjdk-6-jdk.
  * Add Build-Depends: libjboss-managed-java.
  * Bump up Standards-Version: 3.8.0 (no changes).
  * Do no longer quote the full text of the Apache license in
    debian/copyright.
  * Build aspects library with source=1.4.
  * Move package to main.

 -- Torsten Werner <twerner@debian.org>  Tue, 18 Nov 2008 18:04:13 +0100

jbossas4 (4.2.2.GA-5) unstable; urgency=low

  * debian/control: Add libjboss-reflect-java to Build-Depends

 -- Varun Hiremath <varun@debian.org>  Wed, 23 Apr 2008 17:27:13 +0530

jbossas4 (4.2.2.GA-4) unstable; urgency=low

  * Fix package descriptions

 -- Varun Hiremath <varun@debian.org>  Tue, 18 Mar 2008 16:00:58 +0530

jbossas4 (4.2.2.GA-3) unstable; urgency=low

  [ Varun Hiremath ]
  * Add some more packages: ejb3, cluster, aspects, connector, jms and
    webservices

  [ Torsten Werner ]
  * Add Build-Depends: libjboss-microcontainer-java and libquartz-java.

 -- Torsten Werner <twerner@debian.org>  Tue, 11 Mar 2008 21:40:54 +0100

jbossas4 (4.2.2.GA-2) unstable; urgency=low

  [ Torsten Werner ]
  * Add README.Debian explaining the state of the package. (Closes: #451976)
  * Add more packages thanks to Rafal Lewczuk.
  * Fix Vcs header in debian/control.

  [ Varun Hiremath ]
  * Move the package to contrib as some of the Build-Depends are in contrib
    (Closes: #457405)
  * Update Standards-Version to 3.7.3

 -- Varun Hiremath <varun@debian.org>  Sun, 23 Dec 2007 00:05:20 +0530

jbossas4 (4.2.2.GA-1) unstable; urgency=low

  * Initial release (Closes: #446661, #448990)

 -- Varun Hiremath <varunhiremath@gmail.com>  Tue, 24 Apr 2007 17:19:10 +0530
