=== debian/control ===
Source: jbossas4
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Varun Hiremath <varun@debian.org>, Torsten Werner <twerner@debian.org>
Build-Depends: cdbs, debhelper (>= 5), quilt
Build-Depends-Indep: ant, openjdk-6-jdk, javacc, junit,
 libgetopt-java, libbcel-java, libdom4j-java, libjboss-common-java,
 libjboss-profiler-java, libjboss-xml-binding-java, liblog4j1.2-java,
 libservlet2.4-java, glassfish-javaee, libconcurrent-java,
 libcommons-httpclient-java, libaxis-java, ant-optional, bsh,
 libjavassist-java, libjboss-remoting-java, libjboss-aop-java,
 libjboss-serialization-java, libtrove-java, libjgroups2.6-java,
 libjboss-web-services-java, libjboss-cache1-java, libhibernate3-java (>= 3.5),
 libcommons-logging-java, libjboss-vfs-java, libjboss-microcontainer-java,
 libjboss-reflect-java, libquartz-java, libjboss-managed-java,
 libhibernate-jbosscache-java
Standards-Version: 3.9.1
Homepage: http://labs.jboss.com/jbossas/
Vcs-Svn: svn+ssh://svn.debian.org/svn/pkg-java/trunk/jbossas4
Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/jbossas4

Package: jbossas4
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, java-gcj-compat | java1-runtime | java2-runtime
Description: JBoss Application Server 
 A J2EE certified platform for developing and deploying enterprise Java
 applications, Web applications, and Portals, JBoss Application Server
 provides the full range of J2EE 1.4 features as well as extended
 enterprise services including clustering, caching, and persistence.
 .
 JBoss Application Server includes support for Enterprise Java Beans
 (EJB) 3.0 which is designed to dramatically simplify the enterprise
 Java programming model.
 .
 This package contains jars used to run, shutdown or alter JBoss instance.

Package: libjboss-test-java
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, java-gcj-compat | java1-runtime | java2-runtime
Description: JBoss Test Suite
 The JBoss Testsuite module is a collection of JUnit tests which
 require a running JBoss instance for in-container testing. Unit tests
 not requiring the container reside in the module they are testing.
 .
 This package ships the jboss-test libraries.

Package: libjboss-jmx-java
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, java-gcj-compat | java1-runtime | java2-runtime
Description: JBoss Java Management Extensions
 JBoss implementation of the JMX technology. JBoss includes a clean
 room implementation of the JMX API's published by Sun
 Microsystems. While implementing all the required management
 functions it is also geared towards acting as a core library of the
 JBoss Microkernel.
 .
 JMX is about providing a standard for managing and monitoring all
 varieties of software and hardware components from Java. Further, JMX
 aims to provide integration with the large number of existing
 management standards.

Package: libjboss-system-java
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, java-gcj-compat | java1-runtime | java2-runtime
Description: JBoss System
 A J2EE certified platform for developing and deploying enterprise Java
 applications, Web applications, and Portals, JBoss Application Server
 provides the full range of J2EE 1.4 features as well as extended
 enterprise services including clustering, caching, and persistence.
 .
 JBoss Application Server includes support for Enterprise Java Beans
 (EJB) 3.0 which is designed to dramatically simplify the enterprise
 Java programming model.
 .
 This package ships the jboss-system libraries.

Package: libjboss-j2ee-java
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, java-gcj-compat | java1-runtime | java2-runtime
Description: JBoss J2EE core libraries
 A J2EE certified platform for developing and deploying enterprise Java
 applications, Web applications, and Portals, JBoss Application Server
 provides the full range of J2EE 1.4 features as well as extended
 enterprise services including clustering, caching, and persistence.
 .
 JBoss Application Server includes support for Enterprise Java Beans
 (EJB) 3.0 which is designed to dramatically simplify the enterprise
 Java programming model.
 .
 This package ships the jboss-j2ee libraries.

Package: libjboss-ejb3-java
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, java-gcj-compat | java1-runtime | java2-runtime
Description: JBoss Enterprise Java Beans (EJB) 3.0
 A J2EE certified platform for developing and deploying enterprise Java
 applications, Web applications, and Portals, JBoss Application Server
 provides the full range of J2EE 1.4 features as well as extended
 enterprise services including clustering, caching, and persistence.
 .
 JBoss Application Server includes support for Enterprise Java Beans
 (EJB) 3.0 which is designed to dramatically simplify the enterprise
 Java programming model.
 .
 This package ships the jboss-ecj3 libraries.

Package: libjboss-ejb3x-java
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, java-gcj-compat | java1-runtime | java2-runtime
Description: JBoss Enterprise Java Beans (EJB3X)
 A J2EE certified platform for developing and deploying enterprise Java
 applications, Web applications, and Portals, JBoss Application Server
 provides the full range of J2EE 1.4 features as well as extended
 enterprise services including clustering, caching, and persistence.
 .
 JBoss Application Server includes support for Enterprise Java Beans
 (EJB) 3.0 which is designed to dramatically simplify the enterprise
 Java programming model.
 .
 This package ships the jboss-ecj3x libraries.

Package: libjboss-naming-java
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, java-gcj-compat | java1-runtime | java2-runtime
Description: JBoss Naming
 A J2EE certified platform for developing and deploying enterprise Java
 applications, Web applications, and Portals, JBoss Application Server
 provides the full range of J2EE 1.4 features as well as extended
 enterprise services including clustering, caching, and persistence.
 .
 JBoss Application Server includes support for Enterprise Java Beans
 (EJB) 3.0 which is designed to dramatically simplify the enterprise
 Java programming model.
 .
 This package ships the jboss-naming and jboss-jnp server libraries.

Package: libjboss-deployment-java
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, java-gcj-compat | java1-runtime | java2-runtime
Description: JBoss Deployment
 A J2EE certified platform for developing and deploying enterprise Java
 applications, Web applications, and Portals, JBoss Application Server
 provides the full range of J2EE 1.4 features as well as extended
 enterprise services including clustering, caching, and persistence.
 .
 JBoss Application Server includes support for Enterprise Java Beans
 (EJB) 3.0 which is designed to dramatically simplify the enterprise
 Java programming model.
 .
 This package ships the jboss-deployment libraries.

Package: libjboss-transaction-java
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, java-gcj-compat | java1-runtime | java2-runtime
Description: JBoss Transaction
 A J2EE certified platform for developing and deploying enterprise Java
 applications, Web applications, and Portals, JBoss Application Server
 provides the full range of J2EE 1.4 features as well as extended
 enterprise services including clustering, caching, and persistence.
 .
 JBoss Application Server includes support for Enterprise Java Beans
 (EJB) 3.0 which is designed to dramatically simplify the enterprise
 Java programming model.
 .
 This package ships the jboss-transaction libraries.

Package: libjboss-security-java
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, java-gcj-compat | java1-runtime | java2-runtime
Description: JBoss Security
 A J2EE certified platform for developing and deploying enterprise Java
 applications, Web applications, and Portals, JBoss Application Server
 provides the full range of J2EE 1.4 features as well as extended
 enterprise services including clustering, caching, and persistence.
 .
 JBoss Application Server includes support for Enterprise Java Beans
 (EJB) 3.0 which is designed to dramatically simplify the enterprise
 Java programming model.
 .
 This package ships the jboss-security libraries.

Package: libjboss-server-java
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, java-gcj-compat | java1-runtime | java2-runtime
Description: JBoss Server
 A J2EE certified platform for developing and deploying enterprise Java
 applications, Web applications, and Portals, JBoss Application Server
 provides the full range of J2EE 1.4 features as well as extended
 enterprise services including clustering, caching, and persistence.
 .
 JBoss Application Server includes support for Enterprise Java Beans
 (EJB) 3.0 which is designed to dramatically simplify the enterprise
 Java programming model.
 .
 This package ships the invocation classes of jboss-server library.

Package: libjboss-messaging-java
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, java-gcj-compat | java1-runtime | java2-runtime
Description: JBoss Messaging
 A J2EE certified platform for developing and deploying enterprise Java
 applications, Web applications, and Portals, JBoss Application Server
 provides the full range of J2EE 1.4 features as well as extended
 enterprise services including clustering, caching, and persistence.
 .
 JBoss Application Server includes support for Enterprise Java Beans
 (EJB) 3.0 which is designed to dramatically simplify the enterprise
 Java programming model.
 .
 This package ships the jboss-messaging libraries.

Package: libjboss-management-java
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, java-gcj-compat | java1-runtime | java2-runtime
Description: JBoss Management
 A J2EE certified platform for developing and deploying enterprise Java
 applications, Web applications, and Portals, JBoss Application Server
 provides the full range of J2EE 1.4 features as well as extended
 enterprise services including clustering, caching, and persistence.
 .
 JBoss Application Server includes support for Enterprise Java Beans
 (EJB) 3.0 which is designed to dramatically simplify the enterprise
 Java programming model.
 .
 This package ships the jboss-management libraries.

Package: libjboss-cluster-java
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, java-gcj-compat | java1-runtime | java2-runtime
Description: JBoss Cluster
 A J2EE certified platform for developing and deploying enterprise Java
 applications, Web applications, and Portals, JBoss Application Server
 provides the full range of J2EE 1.4 features as well as extended
 enterprise services including clustering, caching, and persistence.
 .
 JBoss Application Server includes support for Enterprise Java Beans
 (EJB) 3.0 which is designed to dramatically simplify the enterprise
 Java programming model.
 .
 This package ships the jboss-cluster libraries.

Package: libjboss-aspects-java
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, java-gcj-compat | java1-runtime | java2-runtime
Description: JBoss Aspects
 A J2EE certified platform for developing and deploying enterprise Java
 applications, Web applications, and Portals, JBoss Application Server
 provides the full range of J2EE 1.4 features as well as extended
 enterprise services including clustering, caching, and persistence.
 .
 JBoss Application Server includes support for Enterprise Java Beans
 (EJB) 3.0 which is designed to dramatically simplify the enterprise
 Java programming model.
 .
 This package ships the jboss-aspects libraries.

Package: libjboss-connector-java
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, java-gcj-compat | java1-runtime | java2-runtime
Description: JBoss Connector
 A J2EE certified platform for developing and deploying enterprise Java
