=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/class/ant.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk

JAVA_HOME 		:= /usr/lib/jvm/java-6-openjdk
DEB_ANT_BUILD_TARGET	:= jar
DEB_ANT_BUILDFILE	:= debian/build.xml
DEB_JARS		:= jboss-common junit log4j-1.2 jboss-profiler ant-junit commons-httpclient \
			   bcel	concurrent dom4j jboss-xml-binding servlet-api gnu-getopt glassfish-javaee \
			   glassfish-activation glassfish-ejb-api jaxrpc javassist jboss-remoting \
			   javacc jboss-serialization jboss-microcontainer quartz ant-nodeps trove \
			   jboss-remoting jboss-aop jgroups-all-2.6 jbossws-common jbossws-spi jbossws-native\
			   jboss-reflect jboss-cache1 hibernate3 hibernate-annotations \
			   hibernate-entitymanager commons-logging bsh jboss-vfs \
			   jboss-managed.jar hibernate-jbosscache

ALL_JARS = $(wildcard *.jar)
DEST_DIR = $(DEB_DESTDIR)/usr/share/java

common-install-prehook-indep::
	for jar in $(ALL_JARS); do                         \
	  BASENAME=`basename $$jar .jar`;        \
	  FULLNAME=$$BASENAME-$(DEB_UPSTREAM_VERSION).jar; \
	  install -m 644 -D $$jar $(DEST_DIR)/$$FULLNAME;  \
	  ln -s $$FULLNAME $(DEST_DIR)/$$BASENAME.jar;     \
	done

get-orig-source:
	-uscan --upstream-version 0 --rename
