=== debian/watch ===
version=3
http://sf.net/jboss/ jboss-(4.*)-src\.tar\.gz debian debian/orig-tar.sh
